#ifndef __GPORT_TRANS_H
#define __GPORT_TRANS_H

/*
 * SETUP/all-systems/GPort_Trans.h
 * 		Header to translate #defines created by the GPort script
 *		into something GNQS expects
 *
 * Author	Stuart Herbert
 *		(stuart@gnqs.org)
 *
 * Copyright	(c) 1999 Stuart Herbert
 *		Released under v2 of the GNU GPL
 */

#include <SETUP/GPort.h>

#if	GPORT_HAS_BSD_LIMITS
#undef	HAS_BSD_LIMITS
#define	HAS_BSD_LIMITS 1
#endif

#if	GPORT_HAS_LIMIT_LIMITS
#undef	HAS_LIMIT_LIMITS
#define	HAS_LIMIT_LIMITS 1
#endif

#if	GPORT_HAS_NICE_LIMITS
#undef	HAS_NICE_LIMITS
#define	HAS_NICE_LIMITS 1
#endif

#if	GPORT_HAS_RLIM_T
#undef	HAS_RLIM_T
#define	HAS_RLIM_T 1
#endif

#if	GPORT_HAS_SETPRIORITY_LIMITS
#undef	HAS_PRIORITY_LIMITS
#define	HAS_PRIORITY_LIMITS 1
#endif

#endif /* __GPORT_TRANS_H */
